Subject: bug#5441: 23.1.91; rmail error "Malformed quoted-printable text"

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Jan 2010 09:44:36 +0200

> From: Kenichi Handa <[email-masked]>
> Date: Fri, 22 Jan 2010 10:35:26 +0900
> Cc: 
> 
> While reading mails by rmail, I encountered "Malformed
> quoted-printable text" error.  When I try to delete that
> message by typing 'd', the same error was signaled.
> 
> The reason is that rmail-show-message-1 calls
> mail-unquote-printable-region, and
> mail-unquote-printable-region signals that error.  For a
> workaround, I applied this patch to rmail-show-message-1,

Was the quoted-printable part indeed invalid?  Can you show an example
of that invalid part?  Maybe we should fix
mail-unquote-printable-region to cope with such cases.